// $Id: SystemOptions.h,v 1.5 2011/12/16 10:01:10 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file SystemOptions.h
  \brief system dependent options
  \author Hugo Pereira
  \version $Revision: 1.5 $
  \date $Date: 2011/12/16 10:01:10 $
*/

#include "XmlOptions.h"

//_____________________________________________________
//! system dependent options installer
void installSystemOptions( void )
{

  // set options default values
  XmlOptions::get().setAutoDefault( true );
  XmlOptions::get().set( "BIBTEX_COMMAND", Option( "undefined" , "BibTex command") );
  XmlOptions::get().set( "DVI_TO_PS", Option( "undefined" , "dvi to postscript convertor") );
  XmlOptions::get().set( "DVI_TO_PDF", Option( "undefined" , "dvi to pdf convertor") );
  XmlOptions::get().set( "GS", Option( "undefined" , "gs command used for dvi to pdf convertor") );
  XmlOptions::get().set( "DVI_VIEWER", Option( "undefined" , "dvi viewer") );
  XmlOptions::get().set( "LATEX_COMMAND", Option( "undefined" , "LaTeX command") );
  XmlOptions::get().set( "PDF_VIEWER", Option( "undefined" , "pdf viewer") );
  XmlOptions::get().set( "PS_TO_PDF", Option( "undefined" , "postscript to pdf convertor") );
  XmlOptions::get().set( "PS_VIEWER", Option( "undefined" , "postscript viewer") );
  XmlOptions::get().set( "SPELLCHECK", Option( "undefined" , "spell checker") );
  XmlOptions::get().set( "TEXT_EDITOR", Option( "undefined" , "text editor") );
  XmlOptions::get().setAutoDefault( false );

};
