#ifndef ButtonFrame_h
#define ButtonFrame_h

// $Id: ButtonFrame.h,v 1.13 2011/12/11 11:17:08 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "Counter.h"

#include <QtGui/QWidget>
#include <QtGui/QPushButton>


/*!
\class ButtonFrame
\brief Set of buttons connected to latex related actions
*/
class ButtonFrame: public QWidget, public Counter
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    //! constructor
    ButtonFrame( QWidget* parent );

    //! destructor
    virtual ~ButtonFrame( void )
    { return; }

    //! edit button
    /*! it is needed because connected to MainWindow slot */
    QPushButton& editButton( void ) const
    { return *editButton_; }

    private slots:

    //! run dvi viewer
    void _dviViewer( void );

    //! run PS viewer
    void _psViewer( void );

    //! run PDF viewer
    void _pdfViewer( void );

    //! run spellchecker
    void _spellCheck( void );

    private:

    //! edit tex button
    QPushButton* editButton_;
};

#endif
