// $Id: DefaultOptions.h,v 1.11 2012/01/01 17:31:31 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file DefaultOptions.h
  \brief default options
  \author Hugo Pereira
  \version $Revision: 1.11 $
  \date $Date: 2012/01/01 17:31:31 $
*/

#include "ActionFrame.h"
#include "File.h"
#include "XmlOptions.h"
#include "Str.h"
#include "Util.h"

//_____________________________________________________
//! default options installer
void installDefaultOptions( void )
{

  // set options default values
  XmlOptions::get().setAutoDefault( true );
  XmlOptions::get().set( "BACKUP", "0" );
  XmlOptions::get().set( "DB_SIZE", "10" );
  XmlOptions::get().set( "ICON_PIXMAP", Option( ":/icon.png" , "application icon") );
  XmlOptions::get().set( "MAIN_WINDOW_WIDTH", "350" );
  XmlOptions::get().set( "MAIN_WINDOW_HEIGHT", "600" );

  unsigned int action_state =
    (1<<ActionFrame::LATEX)|
    (1<<ActionFrame::DVIPS)|
    (1<<ActionFrame::CHECK)|
    (1<<ActionFrame::CLEAN);
  XmlOptions::get().set( "ACTIONS", Option( Str().assign<unsigned int>( action_state ) ) );

  // run-time non recordable options
  XmlOptions::get().set( "APP_NAME", Option( "TEXTOOL", Option::NONE ) );
  XmlOptions::get().set( "DB_FILE", Option( File(".textool_db").addPath( Util::home() ), Option::NONE ) );
  XmlOptions::get().set( "HELP_FILE", Option( File( ".textool_help" ).addPath( Util::home() ), Option::NONE ) );
  XmlOptions::get().set( "RC_FILE", Option( File(".textoolrc").addPath( Util::home() ), Option::NONE ) );
  XmlOptions::get().setAutoDefault( false );

};
