#ifndef FigureFrame_h
#define FigureFrame_h

// $Id: FigureFrame.h,v 1.14 2012/01/04 10:51:14 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "TabWidget.h"
#include "Debug.h"
#include "File.h"
#include "Options.h"
#include "FileRecordModel.h"
#include "IncludeFileModel.h"

class TreeView;

//! parse input file and display includes recursively
class FigureFrame:public TabWidget
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    //! constructor
    FigureFrame( QTabWidget* parent );

    public slots:

    //! update using Application file as a base
    void update( IncludeFileModel::List );

    protected slots:

    //! update actions enability
    void _updateActions( void );

    //! edit a file from list view
    void _viewFigure( void );

    private:

    //! parse file
    FileRecordModel::List _parseFile( const File& file );

    //! list
    TreeView& _list( void ) const
    { return *list_; }

    //! model
    FileRecordModel model_;

    //! list
    TreeView* list_;

    //! graphic path
    File graphicsPath_;

    //! graphic path begin tag
    QRegExp graphicsPathRegExp_;

    //! begin figure tag
    QRegExp figureRegExp_;

    //! comments regexp
    QRegExp commentRegExp_;

    //! view figure action
    QAction* viewFigureAction_;

};

#endif
