// $Id: LogFrame.cpp,v 1.18 2011/11/15 15:00:05 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file LogFrame.cpp
\brief parse input file and display includes recursively
\author Hugo Pereira
\version $Revision: 1.18 $
\date $Date: 2011/11/15 15:00:05 $
*/

#include "LogFrame.h"

#include "Debug.h"
#include "LogWidget.h"

//_____________________________________________________________
LogFrame::LogFrame( QTabWidget* parent ):
    TabWidget( parent )
{
    Debug::Throw("LogFrame::LogFrame.\n" );
    setTitle( "log" );

    // editor
    editor_ = new LogWidget( &box() );
    editor_->setOptionName( "LOG_WIDGET" );
    box().layout()->addWidget( editor_ );

}
