TEMPLATE = app
TARGET = textool

CONFIG += qt release
QT += xml network

VERSION = 1.5.0
DEFINES += VERSION=\\\"$$VERSION\\\"

win32 {

  DEFINES += QT_STATIC
  DESTDIR = "C:\Program Files"
  QMAKE_LFLAGS += -static-libgcc -static-libstdc++

  # this is needed to copy target into relevant versioned name
  exists( \"$$DESTDIR\\upx.exe\" ) {

     # if available, use upx to compress the file
     version.commands = "\"$$DESTDIR\\upx.exe\" -9 -f -o \"$$DESTDIR\\$$TARGET-"$$VERSION".exe\""  "\"$$DESTDIR\\"$$TARGET".exe\"

  } else {

     # simple copy
     version.commands = @copy "\"$$DESTDIR\\"$$TARGET".exe\" \"$$DESTDIR\\$$TARGET-"$$VERSION".exe\""

  }

  # add to Post targets
  QMAKE_EXTRA_TARGETS += version
  QMAKE_POST_LINK += $$version.commands

}

INCLUDEPATH = . ../base ../base-qt ../base-help ../base-server ../extra-includes
DEPENDPATH += . ../base ../base-qt ../base-help ../base-server ../extra-includes

LIBS += \
  ../base-server/libbase-server.a \
  ../base-help/libbase-help.a \
  ../base-qt/libbase-qt.a \
  ../base/libbase.a

POST_TARGETDEPS = \
  ../base-server/libbase-server.a \
  ../base-help/libbase-help.a \
  ../base-qt/libbase-qt.a \
  ../base/libbase.a

HEADERS = \
  Application.h \
  ActionFrame.h \
  ButtonFrame.h \
  ConfigurationDialog.h \
  DefaultOptions.h \
  FigureFrame.h \
  HelpText.h \
  IncludeFileModel.h \
  IncludeFrame.h \
  LogFrame.h \
  MainWindow.h \
  Menu.h \
  TexString.h \
  WindowTitle.h

RESOURCES = pixmaps.qrc ../base-qt/basePixmaps.qrc
RC_FILE = textool.rc

SOURCES = \
  Application.cpp \
  ActionFrame.cpp \
  ButtonFrame.cpp \
  ConfigurationDialog.cpp \
  FigureFrame.cpp \
  IncludeFileModel.cpp \
  IncludeFrame.cpp \
  LogFrame.cpp \
  MainWindow.cpp \
  Menu.cpp \
  TexString.cpp \
  textool.cpp
